## terminus 1.11.0

=== src/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

set (DATADIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
set (PKGDATADIR "${DATADIR}/terminus")
set (GETTEXT_PACKAGE "terminus")
set (RELEASE_NAME "terminus")
set (CMAKE_C_FLAGS "")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (VERSION "1.11.0")
set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
set (DOLLAR "$")

configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
set (VERSION "1.11.0")
add_definitions (${DEPS_CFLAGS})
link_libraries ( ${DEPS_LIBRARIES} )
link_directories ( ${DEPS_LIBRARY_DIRS} )
find_package (Vala REQUIRED)
include (ValaVersion)
ensure_vala_version ("0.30" MINIMUM)
include (ValaPrecompile)

set (VALA_PACKAGES ${VALA_PACKAGES} posix)
set (VALA_PACKAGES ${VALA_PACKAGES} gdk-3.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gtk+-3.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gee-0.8)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-unix-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} glib-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gobject-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} keybinder-3.0)
set (VALA_PACKAGES ${VALA_PACKAGES} pango)
set (VALA_PACKAGES ${VALA_PACKAGES} vte-2.91)

set (APP_SOURCES ${APP_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/Config.vala)
set (APP_SOURCES ${APP_SOURCES} PanedPercentage.vala)
set (APP_SOURCES ${APP_SOURCES} base.vala)
set (APP_SOURCES ${APP_SOURCES} bindkeys.vala)
set (APP_SOURCES ${APP_SOURCES} container.vala)
set (APP_SOURCES ${APP_SOURCES} notetab.vala)
set (APP_SOURCES ${APP_SOURCES} params.vala)
set (APP_SOURCES ${APP_SOURCES} settings.vala)
set (APP_SOURCES ${APP_SOURCES} terminal.vala)
set (APP_SOURCES ${APP_SOURCES} terminus.vala)
set (APP_SOURCES ${APP_SOURCES} window.vala)

set (CUSTOM_VAPIS_LIST ${CUSTOM_VAPIS_LIST} ${CMAKE_SOURCE_DIR}/src/checkwayland.vapi)

set (COMPILE_OPTIONS ${COMPILE_OPTIONS} --vapidir=${CMAKE_SOURCE_DIR}/src/vapidir )

if ((${CMAKE_BUILD_TYPE} STREQUAL "Debug") OR (${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo"))
	set(COMPILE_OPTIONS ${COMPILE_OPTIONS} "-g")
endif()

set (COMPILE_OPTIONS ${COMPILE_OPTIONS} --gresources=${CMAKE_SOURCE_DIR}/data/extras.gresource.xml )

vala_precompile(VALA_C terminus
	${APP_SOURCES}
PACKAGES
	${VALA_PACKAGES}
CUSTOM_VAPIS
	${CUSTOM_VAPIS_LIST}
OPTIONS
	${COMPILE_OPTIONS}
)

set (VALA_C ${VALA_C} checkwayland.c)

SET (VALA_C ${VALA_C} ${extras_gresource_xml_C_FILE})
add_executable(terminus ${VALA_C})
set ( terminus_DEPENDENCIES ${terminus_DEPENDENCIES} extras_gresource_xml )
add_dependencies( terminus ${terminus_DEPENDENCIES} )


install(TARGETS
	terminus
RUNTIME DESTINATION
	${CMAKE_INSTALL_BINDIR}
)
if(HAVE_VALADOC)
	valadoc(terminus
		${CMAKE_BINARY_DIR}/valadoc/terminus
		${APP_SOURCES}
	PACKAGES
		${VALA_PACKAGES}
	CUSTOM_VAPIS
		${CUSTOM_VAPIS_LIST}
	)
	install(DIRECTORY
		${CMAKE_BINARY_DIR}/valadoc
	DESTINATION
		${CMAKE_INSTALL_DATAROOTDIR}/doc/terminus
	)
endif()

=== data/dbus/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

SET(DBUS_PREFIX ${CMAKE_INSTALL_PREFIX})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/com.rastersoft.terminus.service.base ${CMAKE_CURRENT_BINARY_DIR}/com.rastersoft.terminus.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.rastersoft.terminus.service DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services/)

## terminus 1.12.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.11.0")
+set (VERSION "1.12.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.11.0")
+set (VERSION "1.12.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.12.0-1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 30 Jul 2020 12:08:53 -0700

terminus (1.12.0-1) unstable; urgency=medium

  * New upstream relase
  * Debhelper 13

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 23 May 2020 10:52:40 +0100

terminus (1.11.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh terminus(1)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 20 Apr 2020 09:14:34 +0100

terminus (1.9.0-2) unstable; urgency=medium

  * Fix help2 issue (don't do it at build time, because chroots/autobuilders.)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 14 Apr 2020 16:13:41 +0100

terminus (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Upstream keeps changelog in debian/changelog; move to ChangeLog; keep
    debian/changelog for debian changelog; doing otherwise confuses
    various tools
  * Generate terminus(1) using help2man

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 10 Apr 2020 23:54:48 +0100

terminus (1.8.0-1) unstable; urgency=medium

  * Initial Release (closes: #921601)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 28 Jan 2020 18:58:40 +0000

=== debian/control ===
Source: terminus
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Priority: optional
Section: misc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 12),
	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,
	libgtk-3-dev, libgdk-pixbuf2.0-dev, libgee-0.8-dev,
	libglib2.0-dev, libkeybinder-3.0-dev, libpango1.0-dev,
	libvte-2.91-dev, libx11-dev, cmake, intltool, libpcre3-dev
Homepage: https://gitlab.com/rastersoft/terminus
Vcs-Git: https://salsa.debian.org/debian/terminus.git
Vcs-Browser: https://salsa.debian.org/debian/terminus

Package: terminus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libglib2.0-bin
Description: Drop-down or in-window terminal for X11 and Wayland
 A new-generation (post-Guake) terminal for X11 and Wayland featuring
 a hot-key Quake-console-like drop-down mode. Other features include a
 scroll-back buffer, multiple tabs, split screen both horizontal and
 vertical, and the usual compatibility features.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
VALAFLAGS:=$(foreach w,$(CPPFLAGS) $(CFLAGS) $(LDFLAGS),-X $(w))

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.md

# override_dh_installman: debian/terminus.1
# 	dh_installman

override_dh_dwz:
	@echo "skipping dh_dwz which gets a mysterious error:"
	@echo "dh_dwz: dwz -q -- debian/terminus/usr/bin/terminus returned exit code 1"

# Automatically-generated man page.
# Do this manually, because it doesn't work without a window system.
debian/terminus.1:
	help2man --no-info \
	 --version-string="$(DEB_VERSION)" \
	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
	 terminus > $@
	 
override_dh_strip:
	dh_strip -a --no-automatic-dbgsym

## terminus 1.13.0

=== cmake/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/
	DESTINATION
		share/autovala/cmake
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/
	DESTINATION
		share/autovala/cmake
	)
ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.12.0")
+set (VERSION "1.13.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.12.0")
+set (VERSION "1.13.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Dec 2020 10:08:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: terminus
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Priority: optional
 Section: misc
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
 	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,
 	libgtk-3-dev, libgdk-pixbuf2.0-dev, libgee-0.8-dev,
 	libglib2.0-dev, libkeybinder-3.0-dev, libpango1.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,3 @@
 	 --version-string="$(DEB_VERSION)" \
 	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
 	 terminus > $@
-	 
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym

=== debian/watch ===
version=4
https://gitlab.com/rastersoft/@PACKAGE@/tags?sort=updated_desc \
 .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## terminus 1.14.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.13.0")
+set (VERSION "1.14.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.13.0")
+set (VERSION "1.14.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0, no changes needed.
  * Refresh debian/terminus.1
  * Remove cmake support file from /usr/share/terminus/

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 17 Sep 2021 15:26:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Priority: optional
 Section: misc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
 	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,

## terminus 1.14.1

=== CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

project (terminus)
cmake_minimum_required (VERSION 2.6)
cmake_policy (VERSION 2.8)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
enable_testing ()
option(ICON_UPDATE "Update the icon cache after installing" ON)
option(BUILD_VALADOC "Build API documentation if Valadoc is available" OFF)

if( NOT CMAKE_BUILD_TYPE )
	set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)
if( ( ${CMAKE_INSTALL_PREFIX} MATCHES "^/usr/local" ) )
	# A workaround to ensure that works 'out of the box' in Debian-based systems
	set(CMAKE_INSTALL_LIBDIR lib)
endif()

set(HAVE_VALADOC OFF)
if(BUILD_VALADOC)
	find_package(Valadoc)
	if(VALADOC_FOUND)
		set(HAVE_VALADOC ON)
		include(Valadoc)
	else()
		message("Valadoc not found, will not build documentation")
	endif()
endif()

find_package(PkgConfig)

set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gdk-3.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gtk+-3.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gee-0.8)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-unix-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} glib-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gobject-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} keybinder-3.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} pango)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} vte-2.91)

pkg_check_modules(DEPS REQUIRED ${MODULES_TO_CHECK})


find_program ( WHERE_glib_compile_resources glib-compile-resources )
if ( NOT WHERE_glib_compile_resources )
	MESSAGE(FATAL_ERROR "Error! external program 'glib-compile-resources' is not installed.")
endif()

find_program ( WHERE_gtk_update_icon_cache gtk-update-icon-cache )
if ( NOT WHERE_gtk_update_icon_cache )
	find_program ( WHERE_gtk_update_icon_cache gtk-update-icon-cache.3.0 )
	if ( NOT WHERE_gtk_update_icon_cache )
		MESSAGE(FATAL_ERROR "Error! none of the external programs 'gtk-update-icon-cache', 'gtk-update-icon-cache.3.0',  are installed.")
	endif()
endif()

find_program ( WHERE_glib_compile_schemas glib-compile-schemas )
if ( NOT WHERE_glib_compile_schemas )
	MESSAGE(FATAL_ERROR "Error! external program 'glib-compile-schemas' is not installed.")
endif()

add_subdirectory(po)
add_subdirectory(data/local)
add_subdirectory(terminus_gnome_shell)
add_subdirectory(data)
add_subdirectory(data/dbus)
add_subdirectory(src/vapidir)
add_subdirectory(data/icons)
add_subdirectory(data/interface)
add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.14.0")
+set (VERSION "1.14.1")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.14.0")
+set (VERSION "1.14.1")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.14.1-1) unstable; urgency=medium

  * New upstream release
  * Remove upstreamed Gnome42 patch

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Apr 2022 11:52:20 +0100

terminus (1.14.0-3) unstable; urgency=medium

  * Gnome42 patch, thanks to Jeremy Bicha

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Mar 2022 20:12:14 +0000

terminus (1.14.0-2) unstable; urgency=medium

  * Remove build dependency on libpcre3-dev (closes: #999944)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Nov 2021 12:22:39 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,
 	libgtk-3-dev, libgdk-pixbuf2.0-dev, libgee-0.8-dev,
 	libglib2.0-dev, libkeybinder-3.0-dev, libpango1.0-dev,
-	libvte-2.91-dev, libx11-dev, cmake, intltool, libpcre3-dev
+	libvte-2.91-dev, libx11-dev, cmake, intltool
 Homepage: https://gitlab.com/rastersoft/terminus
 Vcs-Git: https://salsa.debian.org/debian/terminus.git
 Vcs-Browser: https://salsa.debian.org/debian/terminus

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF
+
+execute_after_dh_auto_install:
+	@echo "Remove inappropriate file installed by upstream build scripts."
+	-rm --verbose debian/terminus/usr/share/terminus/CMakeLists.txt
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.md

## terminus 1.16.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.14.1")
+set (VERSION "1.16.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.14.1")
+set (VERSION "1.16.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )
@@ -40,6 +40,7 @@
 set (APP_SOURCES ${APP_SOURCES} bindkeys.vala)
 set (APP_SOURCES ${APP_SOURCES} container.vala)
 set (APP_SOURCES ${APP_SOURCES} notetab.vala)
+set (APP_SOURCES ${APP_SOURCES} palete.vala)
 set (APP_SOURCES ${APP_SOURCES} params.vala)
 set (APP_SOURCES ${APP_SOURCES} settings.vala)
 set (APP_SOURCES ${APP_SOURCES} terminal.vala)

## terminus 1.17.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.16.0")
+set (VERSION "1.17.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.16.0")
+set (VERSION "1.17.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.17.0-2) unstable; urgency=medium

  * Gnome43 patch, thanks to Geremy Bicha

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 28 Aug 2022 17:39:07 +0100

terminus (1.17.0-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 07 Jun 2022 08:30:16 +0100

terminus (1.16.0-1) unstable; urgency=medium

  * New upstream version
  * Remove obsolete patches

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 18 May 2022 20:18:26 +0100

terminus (1.15.1-3) unstable; urgency=medium

  * Upstream patch to set proper $TERM (closes: #1010418)
  * Upstream patch to use correct $SHELL (closes: #955633)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 09 May 2022 17:45:11 +0100

terminus (1.15.1-2) unstable; urgency=medium

  * Patch to indent terminus --help text options
  * Use above to regenerate terminus(1)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 Apr 2022 10:14:55 +0100

terminus (1.15.1-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 30 Apr 2022 09:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Priority: optional
 Section: misc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
 	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	@echo "dh_dwz: dwz -q -- debian/terminus/usr/bin/terminus returned exit code 1"
 
 # Automatically-generated man page.
-# Do this manually, because it doesn't work without a window system.
+# Do this manually: might have to specify obj*/src/terminus for the executable.
 debian/terminus.1:
 	help2man --no-info \
 	 --version-string="$(DEB_VERSION)" \

## terminus 1.19.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.17.0")
+set (VERSION "1.19.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.17.0")
+set (VERSION "1.19.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.19.0-1) unstable; urgency=medium

  * New upstream version
  * Include man page in provision of alternative x-terminal-emulator
  * Refresh man page

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Sep 2022 09:53:00 +0100

## terminus 1.19.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.19.0")
+set (VERSION "1.19.1")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.19.0")
+set (VERSION "1.19.1")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (1.19.1-1) unstable; urgency=medium

  * New upstream version
  * Remove upstreamed patch

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Oct 2022 13:16:25 +0100

## terminus 1.20.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.19.1")
+set (VERSION "1.20.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.19.1")
+set (VERSION "1.20.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )
@@ -39,6 +39,7 @@
 set (APP_SOURCES ${APP_SOURCES} base.vala)
 set (APP_SOURCES ${APP_SOURCES} bindkeys.vala)
 set (APP_SOURCES ${APP_SOURCES} container.vala)
+set (APP_SOURCES ${APP_SOURCES} keybinding.vala)
 set (APP_SOURCES ${APP_SOURCES} notetab.vala)
 set (APP_SOURCES ${APP_SOURCES} palete.vala)
 set (APP_SOURCES ${APP_SOURCES} params.vala)

=== debian/changelog ===
terminus (1.20.0-1) unstable; urgency=medium

  * New upstream version
  * Update man page
  * Update debian/copyright debian/* year

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 28 Nov 2022 11:45:41 +0000

## terminus 2.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "1.20.0")
+set (VERSION "2.0.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "1.20.0")
+set (VERSION "2.0.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )
@@ -39,6 +39,8 @@
 set (APP_SOURCES ${APP_SOURCES} base.vala)
 set (APP_SOURCES ${APP_SOURCES} bindkeys.vala)
 set (APP_SOURCES ${APP_SOURCES} container.vala)
+set (APP_SOURCES ${APP_SOURCES} definitions.vala)
+set (APP_SOURCES ${APP_SOURCES} dndManager.vala)
 set (APP_SOURCES ${APP_SOURCES} keybinding.vala)
 set (APP_SOURCES ${APP_SOURCES} notetab.vala)
 set (APP_SOURCES ${APP_SOURCES} palete.vala)

=== debian/changelog ===
terminus (2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on valac.
  [ Barak A. Pearlmutter ]
  * New upstream version
  * Rebuild man page with help2man

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 06 Dec 2022 13:59:19 +0000

## terminus 2.0.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "2.0.0")
+set (VERSION "2.0.1")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "2.0.0")
+set (VERSION "2.0.1")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Dec 2022 16:48:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-	valac (>= 0.30), libatk1.0-dev, libcairo2-dev,
+	valac, libatk1.0-dev, libcairo2-dev,
 	libgtk-3-dev, libgdk-pixbuf2.0-dev, libgee-0.8-dev,
 	libglib2.0-dev, libkeybinder-3.0-dev, libpango1.0-dev,
 	libvte-2.91-dev, libx11-dev, cmake, intltool

## terminus 2.1.0

=== cmake/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/mefrio/Scrivania/cmake

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/mefrio/Scrivania/cmake/cmake

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mefrio/Scrivania/cmake/cmake/CMakeFiles /home/mefrio/Scrivania/cmake/cmake/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/mefrio/Scrivania/cmake/cmake/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named scratch

# Build rule for target.
scratch: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 scratch
.PHONY : scratch

# fast build rule for target.
scratch/fast:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/build
.PHONY : scratch/fast

src/entry.o: src/entry.c.o
.PHONY : src/entry.o

# target to build an object file
src/entry.c.o:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/entry.c.o
.PHONY : src/entry.c.o

src/entry.i: src/entry.c.i
.PHONY : src/entry.i

# target to preprocess a source file
src/entry.c.i:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/entry.c.i
.PHONY : src/entry.c.i

src/entry.s: src/entry.c.s
.PHONY : src/entry.s

# target to generate assembly for a file
src/entry.c.s:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/entry.c.s
.PHONY : src/entry.c.s

src/main_window.o: src/main_window.c.o
.PHONY : src/main_window.o

# target to build an object file
src/main_window.c.o:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/main_window.c.o
.PHONY : src/main_window.c.o

src/main_window.i: src/main_window.c.i
.PHONY : src/main_window.i

# target to preprocess a source file
src/main_window.c.i:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/main_window.c.i
.PHONY : src/main_window.c.i

src/main_window.s: src/main_window.c.s
.PHONY : src/main_window.s

# target to generate assembly for a file
src/main_window.c.s:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/main_window.c.s
.PHONY : src/main_window.c.s

src/menu.o: src/menu.c.o
.PHONY : src/menu.o

# target to build an object file
src/menu.c.o:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/menu.c.o
.PHONY : src/menu.c.o

src/menu.i: src/menu.c.i
.PHONY : src/menu.i

# target to preprocess a source file
src/menu.c.i:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/menu.c.i
.PHONY : src/menu.c.i

src/menu.s: src/menu.c.s
.PHONY : src/menu.s

# target to generate assembly for a file
src/menu.c.s:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/menu.c.s
.PHONY : src/menu.c.s

src/notebook.o: src/notebook.c.o
.PHONY : src/notebook.o

# target to build an object file
src/notebook.c.o:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/notebook.c.o
.PHONY : src/notebook.c.o

src/notebook.i: src/notebook.c.i
.PHONY : src/notebook.i

# target to preprocess a source file
src/notebook.c.i:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/notebook.c.i
.PHONY : src/notebook.c.i

src/notebook.s: src/notebook.c.s
.PHONY : src/notebook.s

# target to generate assembly for a file
src/notebook.c.s:
	$(MAKE) -f CMakeFiles/scratch.dir/build.make CMakeFiles/scratch.dir/src/notebook.c.s
.PHONY : src/notebook.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... scratch"
	@echo "... src/entry.o"
	@echo "... src/entry.i"
	@echo "... src/entry.s"
	@echo "... src/main_window.o"
	@echo "... src/main_window.i"
	@echo "... src/main_window.s"
	@echo "... src/menu.o"
	@echo "... src/menu.i"
	@echo "... src/menu.s"
	@echo "... src/notebook.o"
	@echo "... src/notebook.i"
	@echo "... src/notebook.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== doc/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

file(GLOB list_data RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
foreach(file_data ${list_data})
	IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${file_data})
		install(DIRECTORY
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/doc/terminus
		)
	ELSE()
		install(FILES
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/doc/terminus
		)
	ENDIF()
endforeach()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "2.0.1")
+set (VERSION "2.1.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "2.0.1")
+set (VERSION "2.1.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Use dh_installalternatives

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Feb 2023 16:34:54 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Priority: optional
 Section: misc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
 	valac, libatk1.0-dev, libcairo2-dev,

## terminus 2.2.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "2.1.0")
+set (VERSION "2.2.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "2.1.0")
+set (VERSION "2.2.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )
@@ -25,11 +25,13 @@
 set (VALA_PACKAGES ${VALA_PACKAGES} posix)
 set (VALA_PACKAGES ${VALA_PACKAGES} gdk-3.0)
 set (VALA_PACKAGES ${VALA_PACKAGES} gtk+-3.0)
+set (VALA_PACKAGES ${VALA_PACKAGES} cairo)
 set (VALA_PACKAGES ${VALA_PACKAGES} gee-0.8)
 set (VALA_PACKAGES ${VALA_PACKAGES} gio-2.0)
 set (VALA_PACKAGES ${VALA_PACKAGES} gio-unix-2.0)
 set (VALA_PACKAGES ${VALA_PACKAGES} glib-2.0)
 set (VALA_PACKAGES ${VALA_PACKAGES} gobject-2.0)
+set (VALA_PACKAGES ${VALA_PACKAGES} harfbuzz-gobject)
 set (VALA_PACKAGES ${VALA_PACKAGES} keybinder-3.0)
 set (VALA_PACKAGES ${VALA_PACKAGES} pango)
 set (VALA_PACKAGES ${VALA_PACKAGES} vte-2.91)
@@ -42,6 +44,7 @@
 set (APP_SOURCES ${APP_SOURCES} definitions.vala)
 set (APP_SOURCES ${APP_SOURCES} dndManager.vala)
 set (APP_SOURCES ${APP_SOURCES} keybinding.vala)
+set (APP_SOURCES ${APP_SOURCES} macros.vala)
 set (APP_SOURCES ${APP_SOURCES} notetab.vala)
 set (APP_SOURCES ${APP_SOURCES} palete.vala)
 set (APP_SOURCES ${APP_SOURCES} params.vala)

=== debian/changelog ===
terminus (2.2.1-2) unstable; urgency=medium

  * Refresh man page

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Mar 2023 21:39:50 +0000

terminus (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Mar 2023 21:20:38 +0000

## terminus 2.3.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "2.2.0")
+set (VERSION "2.3.0")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "2.2.0")
+set (VERSION "2.3.0")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (2.3.0-1ubuntu1) lunar; urgency=medium

  * Cherry-pick commit from 2.3.1 to support GNOME Shell 44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 17 Apr 2023 18:23:00 -0400

terminus (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * Refresh man page
  * Update build dependencies per lintian
  * Bump copyright to 2023 per lintian

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 16 Apr 2023 10:26:07 +0100

## terminus 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,11 +34,13 @@
 
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gdk-3.0)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gtk+-3.0)
+set(MODULES_TO_CHECK ${MODULES_TO_CHECK} cairo)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gee-0.8)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-2.0)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-unix-2.0)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} glib-2.0)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gobject-2.0)
+set(MODULES_TO_CHECK ${MODULES_TO_CHECK} harfbuzz-gobject)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} keybinder-3.0)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} pango)
 set(MODULES_TO_CHECK ${MODULES_TO_CHECK} vte-2.91)

=== data/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

EXECUTE_PROCESS( COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-source --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml)
EXECUTE_PROCESS( COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-header --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml)
ADD_CUSTOM_COMMAND (
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml ${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/horizontal.svg ${CMAKE_CURRENT_SOURCE_DIR}/pixmaps/vertical.svg ${CMAKE_CURRENT_SOURCE_DIR}/interface/properties.ui
	COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-source --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml

	COMMAND glib-compile-resources --sourcedir=${CMAKE_CURRENT_SOURCE_DIR} --generate-header --target=${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h ${CMAKE_CURRENT_SOURCE_DIR}/extras.gresource.xml
)

add_custom_target(extras_gresource_xml DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c)
SET (extras_gresource_xml_C_FILE ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.c PARENT_SCOPE)
SET (extras_gresource_xml_H_FILE ${CMAKE_CURRENT_BINARY_DIR}/extras.gresource.xml.h PARENT_SCOPE)
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/terminus_showhide DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/terminus.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications/ )
if( NOT ( ${CMAKE_INSTALL_PREFIX} MATCHES "^/home/" ) )
	install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/terminus_autorun.desktop DESTINATION /etc/xdg/autostart/ )
else()
	MESSAGE(STATUS "[33mAutostart file data/terminus_autorun.desktop will not be installed. You must create your own .desktop file and put it at ~/.config/autostart[39m")
endif()
include(GSettings)
add_schema(org.rastersoft.terminus.gschema.xml)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 set (RELEASE_NAME "terminus")
 set (CMAKE_C_FLAGS "")
 set (PREFIX ${CMAKE_INSTALL_PREFIX})
-set (VERSION "2.3.0")
+set (VERSION "2.3.1")
 set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
 set (DOLLAR "$")
 
 configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
 add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
-set (VERSION "2.3.0")
+set (VERSION "2.3.1")
 add_definitions (${DEPS_CFLAGS})
 link_libraries ( ${DEPS_LIBRARIES} )
 link_directories ( ${DEPS_LIBRARY_DIRS} )

=== debian/changelog ===
terminus (2.3.1-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:54 +1100

terminus (2.3.1-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:06:40 +0000

terminus (2.3.1-1ubuntu2) mantic; urgency=medium

  * Cherry-pick patch to support GNOME Shell 45 (LP: #2039170)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 12 Oct 2023 07:25:58 -0400

terminus (2.3.1-1ubuntu1) mantic; urgency=medium

  * Drop GNOME shell extension incompatible with GNOME Shell 45 (LP: #2031918)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 11:20:48 -0400

terminus (2.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 28 Apr 2023 21:43:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: terminus
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Priority: optional
 Section: misc
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
 	valac, libatk1.0-dev, libcairo2-dev,
-	libgtk-3-dev, libgdk-pixbuf2.0-dev, libgee-0.8-dev,
+	libgtk-3-dev, libgdk-pixbuf-2.0-dev, libgee-0.8-dev,
 	libglib2.0-dev, libkeybinder-3.0-dev, libpango1.0-dev,
 	libvte-2.91-dev, libx11-dev, cmake, intltool
 Homepage: https://gitlab.com/rastersoft/terminus

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF
+	dh_auto_configure -- -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF -DGNOME45=ON
 
 execute_after_dh_auto_install:
 	@echo "Remove inappropriate file installed by upstream build scripts."
@@ -25,9 +25,13 @@
 	@echo "dh_dwz: dwz -q -- debian/terminus/usr/bin/terminus returned exit code 1"
 
 # Automatically-generated man page.
-# Do this manually: might have to specify obj*/src/terminus for the executable.
+# Do this manually:
+#  rm debian/terminus.1
+#  debian/rules build
+#  debian/rules TERMINUS=obj-*/src/terminus debian/terminus.1
+TERMINUS=terminus
 debian/terminus.1:
 	help2man --no-info \
 	 --version-string="$(DEB_VERSION)" \
 	 --name="$(shell egrep '^Description: ' debian/control | head -1 | sed 's/Description: //')" \
-	 terminus > $@
+	 $(TERMINUS) > $@
